4Suite™ API Documentation

# ► Module Ft.Rdf.Parsers.Versa.Traversal

the classes that perform traversal in Versa WWW: http://4suite.org e-mail: support@4suite.org
Copyright 2002 Fourthought Inc, USA.
See http://4suite.org/COPYRIGHT for license and copyright information

Classes: BackwardTraversal, ForwardTraversal, Traversal |  |  |  | Fields: OBJECT_TYPE_RESOURCE

## Classes

class BackwardTraversal(Traversal)
Shift the context against an arc. Shift from the set of resources, along each predicates, filter the results with the filter The predicates get evaluated with the shifted context The filter is applied to each result set with the resource that created it as context

### Methods

__init__(self, objects, predicates, filter)
evaluateOptContains(self, con)
evaluateOptEq(self, con)
evaluateOptNone(self, con)
evaluateOptWildcard(self, con)

### Methods inherited from class Traversal

evaluate

class ForwardTraversal(Traversal)
Shift the context along an arc. Shift from the set of resources, alongs each predicates, filter the results with the filter The predicates get evaluated with the shifted context The filter is applied to each result set with the resource that created it as context

### Methods

__init__(self, resources, predicates, filter, isFilter=0)
evaluateOptContains(self, con)
evaluateOptEq(self, con)
evaluateOptFixedPred(self, con)
Optimization for traversals where the predicate does not change in any of the possibilities
evaluateOptNone(self, con)
evaluateOptWildcard(self, con)

### Methods inherited from class Traversal

evaluate

class Traversal
Base class for all Traversals
http://www.w3.org/TR/rdf-mt/#RDFRules (7.3 RDFS Entailment Rules)
OWL usage of rdfs:domain, rdfs:range, and Extensional Entailment Rules *could* provide some optimizations via
inference, when evaluating traversal expressions, they could also implement *some* RDFS entailment rules
by providing additional checks when evaluating traversals.

### Methods

evaluate(self, con)

## Fields

OBJECT_TYPE_RESOURCE = 'R'